POST /api/v1/cloud-connected/clusters/{id}/apikey/{service}/_revoke-pending

Revoke API keys used for a Cloud Connected service that are pending revocation after a rotation operation. The _rotate endpoint schedules revocation in 7 days; this endpoint revokes those pending keys immediately.

Headers

  • If-Match string

    ETag value fetched in a previous GET cluster request. Used to prevent simultaneous updates

Path parameters

  • id string Required

    The ID of the Cloud Connected cluster

    Format should match the following pattern: ^[a-z0-9]{32}$.

  • service string

    The name of the Cloud Connected service

    Value is eis.

Responses

  • 200

    The previous API Key has been deleted.

  • 401 application/json

    Unauthorized

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

  • 403 application/json

    Forbidden

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

  • 404 application/json

    Not Found

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

POST /api/v1/cloud-connected/clusters/{id}/apikey/{service}/_revoke-pending
curl \
 --request POST 'https://api.elastic-cloud.com/api/v1/cloud-connected/clusters/{id}/apikey/eis/_revoke-pending' \
 --header "Authorization: $API_KEY" \
 --header "If-Match: string"
Response examples (401)
{
  "errors": [
    {
      "message": "Explicative error message",
      "code": "code.error"
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "message": "Explicative error message",
      "code": "code.error"
    }
  ]
}
Response examples (404)
{
  "errors": [
    {
      "message": "Explicative error message",
      "code": "code.error"
    }
  ]
}